Skip to main content
POST
Subscribe device

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

customerId
string
required

The unique identifier of the customer/device being subscribed.

Body

The subscription request

tokenHandle
string
required

The device token that is used by Azure Notification Hub to send push notifications to the device

Required string length: 1 - 255
platform
string
required

Identifier of the platform. Possible values: "Apns" (iOs), "Fcm" (deprecated Android), FcmV1 (new Android), "Hms" (Huawei)

Required string length: 1 - 10
installationId
string
required

The unique identifier of the device installation.

Required string length: 1 - 50

Response

Success

Last modified on August 10, 2026